---
title: Kling afbeelding naar video | RunAPI
description: Gebruik het eindpunt voor afbeelding naar video om een asynchrone taak
  aan te maken.
url: https://runapi.ai/nl/docs/api/kling/image-to-video.md
canonical: https://runapi.ai/nl/docs/api/kling/image-to-video
locale: nl
---

> HTML-versie: https://runapi.ai/nl/docs/api/kling/image-to-video
> Site-index voor agents: https://runapi.ai/llms.txt

# Kling afbeelding naar video

## Overzicht

Gebruik het eindpunt voor afbeelding naar video met een ondersteund model. Gebruik de geretourneerde taak-ID om de status op te halen, of geef callback_url op voor de hieronder gedocumenteerde leveringen.

### Snelstart

1. Maak een API-sleutel aan en stel deze in als RUNAPI_API_KEY.
2. Kies een ondersteund model en stuur een POST-verzoek waarvan de body overeenkomt met het schema van dat model.
3. Sla de geretourneerde taak-ID op en poll vervolgens totdat een eindstatus is bereikt, of verwerk de hieronder gedocumenteerde callbacks.

## Eindpunt

POST /api/v1/kling/image_to_video

Basis-URL: https://runapi.ai

API-versie: v1

Authenticatie: Authorization: Bearer YOUR_API_TOKEN

## Ondersteunde modellen

Open een modelpagina voor actuele prijzen, snelheidslimieten en details over commercieel gebruik.

- [kling-o1](https://runapi.ai/nl/models/kling/o1)
- [kling-v2.1-master-image-to-video](https://runapi.ai/nl/models/kling/v2.1-master-image-to-video)
- [kling-v2.1-pro](https://runapi.ai/nl/models/kling/v2.1-pro)
- [kling-v2.1-standard](https://runapi.ai/nl/models/kling/v2.1-standard)
- [kling-v2.5-turbo-image-to-video-pro](https://runapi.ai/nl/models/kling/v2.5-turbo-image-to-video-pro)
- [kling-v2.6](https://runapi.ai/nl/models/kling/v2.6)
- [kling-v3-omni](https://runapi.ai/nl/models/kling/v3-omni)
- [kling-v3-turbo-image-to-video](https://runapi.ai/nl/models/kling/v3-turbo-image-to-video)

## Verzoekschema

Velden en toegestane waarden zijn afhankelijk van het geselecteerde model. Indien opgegeven, ontvangt callback_url de hieronder gedocumenteerde taakaflevering.

### kling-o1

```json
{
  "aspect_ratio": {
    "default": "16:9",
    "description": "Uitvoer-beeldverhouding.",
    "enum": [
      "16:9",
      "9:16",
      "1:1"
    ],
    "type": "string"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "description": "Duur in seconden.",
    "enum": [
      5
    ],
    "type": "integer"
  },
  "enable_sound": {
    "default": false,
    "description": "Geluidsopwekking moet uitgeschakeld blijven.",
    "type": "boolean"
  },
  "first_frame_image_url": {
    "description": "Publieke HTTP(S) JPG-, JPEG- of PNG-afbeeldings-URL voor het eerste frame.",
    "required": true,
    "type": "string"
  },
  "last_frame_image_url": {
    "description": "Publieke HTTP(S) JPG-, JPEG- of PNG-afbeeldings-URL voor het laatste frame; kan niet worden gecombineerd met reference_image_urls of reference_video_url.",
    "type": "string"
  },
  "mode": {
    "default": "std",
    "description": "Generatiemodus.",
    "enum": [
      "std",
      "pro"
    ],
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "preserve_reference_video_audio": {
    "default": false,
    "description": "Bewaar het originele audio van de referentievideo.",
    "type": "boolean"
  },
  "prompt": {
    "description": "Videobeschrijving; verwijs naar media met overeenkomstige genummerde markeringen.",
    "length": true,
    "max": 2500,
    "min": 1,
    "required": true,
    "type": "string"
  },
  "reference_image_urls": {
    "description": "Geordende openbare HTTP(S) JPG-, JPEG- of PNG-referentieafbeeldings-URL's; kan niet worden gecombineerd met last_frame_image_url.",
    "items": {
      "type": "string"
    },
    "max_items": 7,
    "min_items": 1,
    "type": "array"
  },
  "reference_video_type": {
    "default": "base",
    "description": "Gebruik de video als basisbewerking of functiereferentie.",
    "enum": [
      "base",
      "feature"
    ],
    "type": "string"
  },
  "reference_video_url": {
    "description": "Publieke HTTP(S) MP4- of MOV-referentievideo-URL; kan niet worden gecombineerd met last_frame_image_url.",
    "type": "string"
  }
}
```

### kling-v2.1-master-image-to-video

```json
{
  "aspect_ratio": {
    "description": "Uitvoer-beeldverhouding.",
    "type": "string"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "cfg_scale": {
    "description": "Begeleidingsschaal (0-1).",
    "type": "number"
  },
  "duration_seconds": {
    "description": "Duur in seconden.",
    "enum": [
      5,
      10
    ],
    "type": "integer"
  },
  "first_frame_image_url": {
    "description": "URL van de eerste frame-afbeelding.",
    "required": true,
    "type": "string"
  },
  "last_frame_image_url": {
    "description": "URL van de laatste frame-afbeelding voor ondersteunde afbeelding-naar-video-modellen.",
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "negative_prompt": {
    "description": "Negatieve prompt.",
    "type": "string"
  },
  "prompt": {
    "description": "Videobeschrijving.",
    "required": true,
    "type": "string"
  }
}
```

### kling-v2.1-pro

```json
{
  "aspect_ratio": {
    "description": "Uitvoer-beeldverhouding.",
    "type": "string"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "cfg_scale": {
    "description": "Begeleidingsschaal (0-1).",
    "type": "number"
  },
  "duration_seconds": {
    "description": "Duur in seconden.",
    "enum": [
      5,
      10
    ],
    "type": "integer"
  },
  "first_frame_image_url": {
    "description": "URL van de eerste frame-afbeelding.",
    "required": true,
    "type": "string"
  },
  "last_frame_image_url": {
    "description": "URL van de laatste frame-afbeelding voor ondersteunde afbeelding-naar-video-modellen.",
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "negative_prompt": {
    "description": "Negatieve prompt.",
    "type": "string"
  },
  "prompt": {
    "description": "Videobeschrijving.",
    "required": true,
    "type": "string"
  }
}
```

### kling-v2.1-standard

```json
{
  "aspect_ratio": {
    "description": "Uitvoer-beeldverhouding.",
    "type": "string"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "cfg_scale": {
    "description": "Begeleidingsschaal (0-1).",
    "type": "number"
  },
  "duration_seconds": {
    "description": "Duur in seconden.",
    "enum": [
      5,
      10
    ],
    "type": "integer"
  },
  "first_frame_image_url": {
    "description": "URL van de eerste frame-afbeelding.",
    "required": true,
    "type": "string"
  },
  "last_frame_image_url": {
    "description": "URL van de laatste frame-afbeelding voor ondersteunde afbeelding-naar-video-modellen.",
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "negative_prompt": {
    "description": "Negatieve prompt.",
    "type": "string"
  },
  "prompt": {
    "description": "Videobeschrijving.",
    "required": true,
    "type": "string"
  }
}
```

### kling-v2.5-turbo-image-to-video-pro

```json
{
  "aspect_ratio": {
    "description": "Uitvoer-beeldverhouding.",
    "type": "string"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "cfg_scale": {
    "description": "Begeleidingsschaal (0-1).",
    "type": "number"
  },
  "duration_seconds": {
    "description": "Duur in seconden.",
    "enum": [
      5,
      10
    ],
    "type": "integer"
  },
  "first_frame_image_url": {
    "description": "URL van de eerste frame-afbeelding.",
    "required": true,
    "type": "string"
  },
  "last_frame_image_url": {
    "description": "URL van de laatste frame-afbeelding voor ondersteunde afbeelding-naar-video-modellen.",
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "negative_prompt": {
    "description": "Negatieve prompt.",
    "type": "string"
  },
  "prompt": {
    "description": "Videobeschrijving.",
    "required": true,
    "type": "string"
  }
}
```

### kling-v2.6

```json
{
  "aspect_ratio": {
    "default": "16:9",
    "description": "Uitvoer-beeldverhouding.",
    "enum": [
      "16:9",
      "9:16",
      "1:1"
    ],
    "type": "string"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "description": "Duur in seconden.",
    "enum": [
      5,
      10
    ],
    "type": "integer"
  },
  "enable_sound": {
    "default": false,
    "description": "Geluidsgeneratie inschakelen; vereist pro-modus.",
    "type": "boolean"
  },
  "first_frame_image_url": {
    "description": "URL van de eerste frame-afbeelding.",
    "required": true,
    "type": "string"
  },
  "last_frame_image_url": {
    "description": "URL van de laatste frame-afbeelding; vereist pro-modus en 5 seconden.",
    "type": "string"
  },
  "mode": {
    "default": "std",
    "description": "Generatiemodus.",
    "enum": [
      "std",
      "pro"
    ],
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "prompt": {
    "description": "Videobeschrijving.",
    "length": true,
    "max": 2500,
    "min": 1,
    "required": true,
    "type": "string"
  }
}
```

### kling-v3-omni

```json
{
  "aspect_ratio": {
    "default": "16:9",
    "description": "Uitvoer-beeldverhouding.",
    "enum": [
      "16:9",
      "9:16",
      "1:1"
    ],
    "type": "string"
  },
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "description": "Duur in seconden.",
    "enum": [
      3,
      4,
      5,
      6,
      7,
      8,
      9,
      10,
      11,
      12,
      13,
      14,
      15
    ],
    "type": "integer"
  },
  "enable_sound": {
    "default": false,
    "description": "Gesynchroniseerde geluidsgeneratie inschakelen.",
    "type": "boolean"
  },
  "first_frame_image_url": {
    "description": "URL van de eerste frame-afbeelding.",
    "required": true,
    "type": "string"
  },
  "last_frame_image_url": {
    "description": "URL van de laatste frame-afbeelding; vereist een duur van 5 seconden.",
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "output_resolution": {
    "default": "720p",
    "description": "Uitvoerresolutie.",
    "enum": [
      "720p",
      "1080p",
      "4k"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "Videobeschrijving.",
    "length": true,
    "max": 2500,
    "min": 1,
    "required": true,
    "type": "string"
  }
}
```

### kling-v3-turbo-image-to-video

```json
{
  "callback_url": {
    "description": "Webhook-URL voor asynchrone meldingen.",
    "type": "string"
  },
  "duration_seconds": {
    "default": 5,
    "description": "Duur in seconden.",
    "enum": [
      3,
      4,
      5,
      6,
      7,
      8,
      9,
      10,
      11,
      12,
      13,
      14,
      15
    ],
    "type": "integer"
  },
  "first_frame_image_url": {
    "description": "URL van de eerste frame-afbeelding.",
    "required": true,
    "type": "string"
  },
  "model": {
    "description": "Model-slug.",
    "required": true,
    "type": "string"
  },
  "output_resolution": {
    "default": "720p",
    "description": "Uitvoerresolutie.",
    "enum": [
      "720p",
      "1080p"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "Videobeschrijving.",
    "length": true,
    "max": 2500,
    "min": 1,
    "required": true,
    "type": "string"
  }
}
```

#### Voorwaardelijke regels

Deze vereisten zijn van toepassing wanneer alle vermelde voorwaarden overeenkomen.

- **Wanneer**: `model` = `kling-o1`; **Niet geaccepteerd**: `output_resolution`, `negative_prompt`, `cfg_scale`
- **Wanneer**: `model` = `kling-v2.1-master-image-to-video`; **Niet geaccepteerd**: `output_resolution`, `enable_sound`, `reference_image_urls`, `reference_video_url`, `reference_video_type`, `preserve_reference_video_audio`
- **Wanneer**: `model` = `kling-v2.1-pro`; **Niet geaccepteerd**: `output_resolution`, `enable_sound`, `reference_image_urls`, `reference_video_url`, `reference_video_type`, `preserve_reference_video_audio`
- **Wanneer**: `model` = `kling-v2.1-standard`; **Niet geaccepteerd**: `output_resolution`, `enable_sound`, `reference_image_urls`, `reference_video_url`, `reference_video_type`, `preserve_reference_video_audio`
- **Wanneer**: `model` = `kling-v2.5-turbo-image-to-video-pro`; **Niet geaccepteerd**: `output_resolution`, `enable_sound`, `reference_image_urls`, `reference_video_url`, `reference_video_type`, `preserve_reference_video_audio`
- **Wanneer**: `model` = `kling-v2.6`; **Niet geaccepteerd**: `output_resolution`, `negative_prompt`, `cfg_scale`, `reference_image_urls`, `reference_video_url`, `reference_video_type`, `preserve_reference_video_audio`
- **Wanneer**: `model` = `kling-v3-omni`; **Niet geaccepteerd**: `negative_prompt`, `cfg_scale`, `reference_image_urls`, `reference_video_url`, `reference_video_type`, `preserve_reference_video_audio`
- **Wanneer**: `model` = `kling-v3-turbo-image-to-video`; **Niet geaccepteerd**: `enable_sound`, `aspect_ratio`, `negative_prompt`, `cfg_scale`, `last_frame_image_url`, `reference_image_urls`, `reference_video_url`, `reference_video_type`, `preserve_reference_video_audio`

## Acceptatie aanmaken

HTTP 202 - POST /api/v1/kling/image_to_video

### Responsschema

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    },
    "task_replayed": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Pollen bezig

HTTP 200 - GET /api/v1/kling/image_to_video/:id

### Responsschema

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Pollen voltooid

HTTP 200 - GET /api/v1/kling/image_to_video/:id

### Responsschema

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    },
    "videos": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    }
  },
  "required": [
    "id",
    "status",
    "videos",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "completed",
  "videos": [
    {
      "url": "https://file.runapi.ai/reference-video.mp4"
    }
  ]
}
```

## Pollen mislukt

HTTP 200 - GET /api/v1/kling/image_to_video/:id

### Responsschema

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "error": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": "Task processing failed.",
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Callback van klant: voltooid

HTTP 200 - POST callback_url

### Responsschema

```json
{
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    },
    "videos": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    }
  },
  "required": [
    "id",
    "status",
    "videos"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "id": "tsk_reference_demo",
  "status": "completed",
  "videos": [
    {
      "url": "https://file.runapi.ai/reference-video.mp4"
    }
  ]
}
```

## Callback van klant: mislukt

HTTP 200 - POST callback_url

### Responsschema

```json
{
  "properties": {
    "error": {
      "oneOf": [
        {
          "type": "string"
        },
        {
          "properties": {
            "code": {
              "type": "string"
            },
            "limit_cents": {
              "type": "integer"
            },
            "message": {
              "type": "string"
            },
            "reset_at": {
              "format": "date-time",
              "type": [
                "string",
                "null"
              ]
            },
            "used_cents": {
              "type": "integer"
            },
            "window": {
              "enum": [
                "1h",
                "1d",
                "7d",
                "daily",
                "weekly",
                "monthly",
                "lifetime"
              ],
              "type": "string"
            }
          },
          "required": [
            "code",
            "message"
          ],
          "type": "object",
          "unevaluatedProperties": false
        }
      ]
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": {
    "code": "generation_failed",
    "message": "Task processing failed."
  },
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Fouten

HTTP 401 - POST /api/v1/kling/image_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Authentication required"
}
```

## Fouten

HTTP 401 - GET /api/v1/kling/image_to_video/:id

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Authentication required"
}
```

## Fouten

HTTP 400 - POST /api/v1/kling/image_to_video

### Responsschema

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "Leesbare foutmelding.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "Leesbare validatiesamenvatting.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Validatieberichten gekoppeld aan het openbare aanvraagveld, met een reeks leesbare tekenreeksen per veld.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### Responsvoorbeeld

```json
{
  "error": "model must be one of: kling-o1, kling-v2.1-master-image-to-video, kling-v2.1-pro, kling-v2.1-standard, kling-v2.5-turbo-image-to-video-pro, kling-v2.6, kling-v3-omni, kling-v3-turbo-image-to-video"
}
```

## Fouten

HTTP 402 - POST /api/v1/kling/image_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Insufficient balance"
}
```

## Fouten

HTTP 429 - POST /api/v1/kling/image_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "API key credit limit exceeded"
}
```

## Fouten

HTTP 409 - POST /api/v1/kling/image_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## Fouten

HTTP 429 - POST /api/v1/kling/image_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## Fouten

HTTP 503 - POST /api/v1/kling/image_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## Fouten

HTTP 504 - POST /api/v1/kling/image_to_video

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "The request timed out"
}
```

## Fouten

HTTP 404 - GET /api/v1/kling/image_to_video/:id

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Task with id 'tsk_reference_demo' not found"
}
```

## Gegenereerde codevoorbeelden

Gebruik cURL rechtstreeks, of installeer een SDK voor uw taal. Elk voorbeeld dient het gevalideerde verzoek in dat in deze referentie wordt getoond.

### curl

```curl
curl -X POST https://runapi.ai/api/v1/kling/image_to_video \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"model":"kling-o1","prompt":"A gentle camera pan across the scene.","first_frame_image_url":"https://file.runapi.ai/first-frame.png"}'
```

### javascript

#### Installeren

```bash
npm install @runapi.ai/kling
```

```javascript
import { KlingClient } from "@runapi.ai/kling";

const client = new KlingClient({ apiKey: process.env.RUNAPI_API_KEY });
const task = await client.imageToVideo.create({
  "model": "kling-o1",
  "prompt": "A gentle camera pan across the scene.",
  "first_frame_image_url": "https://file.runapi.ai/first-frame.png"
});
```

### python

#### Installeren

```bash
pip install runapi-kling
```

```python
import os
from runapi.kling import KlingClient

client = KlingClient(api_key=os.environ["RUNAPI_API_KEY"])
task = client.image_to_video.create(
  model="kling-o1",
  prompt="A gentle camera pan across the scene.",
  first_frame_image_url="https://file.runapi.ai/first-frame.png"
)
```

### go

#### Installeren

```bash
go get github.com/runapi-ai/kling-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  kling "github.com/runapi-ai/kling-sdk/go/kling"
)

func main() {
  client, err := kling.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  task, err := client.ImageToVideo.Create(context.Background(), kling.ImageToVideoParams{
    Model: kling.ImageToVideoModel("kling-o1"),
    Prompt: "A gentle camera pan across the scene.",
    FirstFrameImageURL: "https://file.runapi.ai/first-frame.png",
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = task
}
```

### ruby

#### Installeren

```bash
gem install runapi-kling
```

```ruby
require "runapi/kling"

client = RunApi::Kling::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
task = client.image_to_video.create(
  model: "kling-o1",
  prompt: "A gentle camera pan across the scene.",
  first_frame_image_url: "https://file.runapi.ai/first-frame.png"
)
```

### java

#### Installeren

```kotlin
implementation("ai.runapi:runapi-kling")
```

```java
import ai.runapi.kling.KlingClient;
import ai.runapi.kling.types.ImageToVideoParams;
import ai.runapi.core.polling.TaskCreateResponse;

public final class Example {
  public static void main(String[] args) {
    KlingClient client = KlingClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    TaskCreateResponse task = client.imageToVideo().create(
        ImageToVideoParams.builder()
        .model("kling-o1")
        .prompt("A gentle camera pan across the scene.")
        .firstFrameImageUrl("https://file.runapi.ai/first-frame.png")
            .build()
    );
  }
}
```

### php

#### Installeren

```bash
composer require runapi-ai/kling
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\Kling\KlingClient;

$client = new KlingClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$task = $client->imageToVideo->create([
  "model" => "kling-o1",
  "prompt" => "A gentle camera pan across the scene.",
  "first_frame_image_url" => "https://file.runapi.ai/first-frame.png"
]);
```

## Gerelateerde handleidingen

- [Authenticatie](https://runapi.ai/nl/docs/guides/authentication.md)
- [Snelstart](https://runapi.ai/nl/docs/guides/task-api/quickstart.md)

---

## Meer van RunAPI

- [Home](https://runapi.ai/nl/.md)
- [Modelcatalogus](https://runapi.ai/nl/models.md)
- [Prijzen](https://runapi.ai/nl/pricing.md)
- [Providers](https://runapi.ai/nl/models)
- [Documentatie](https://runapi.ai/nl/docs/guides)
- [SDK's](https://runapi.ai/nl/sdk.md)
- [CLI](https://runapi.ai/nl/cli.md)
- [MCP Server](https://runapi.ai/nl/mcp.md)
- [Claude Code vs Cursor](https://runapi.ai/nl/claude-code-vs-cursor.md)
- [Cursor API instellen](https://runapi.ai/nl/cursor-api-setup.md)
- [RunAPI vs OpenRouter](https://runapi.ai/nl/openrouter-alternative.md)
- [Enterprise](https://runapi.ai/nl/contact.md)
- [Contact](https://runapi.ai/nl/contact.md)
- [Voorwaarden](https://runapi.ai/nl/terms.md)
- [Privacy](https://runapi.ai/nl/privacy.md)
- [Site-index voor agents](https://runapi.ai/llms.txt)

Contact: contact@runapi.ai

## Gestructureerde gegevens

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/nl",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/nl/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/nl",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/nlicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "TechArticle",
    "headline": "Kling afbeelding naar video",
    "description": "Gebruik het eindpunt voor afbeelding naar video om een asynchrone taak aan te maken.",
    "url": "https://runapi.ai/nl/docs/api/kling/image-to-video",
    "mainEntityOfPage": "https://runapi.ai/nl/docs/api/kling/image-to-video"
  }
]
```
